/*
    Copyright (C) 1999-2007 Paul Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: midibyte_edit.h,v 1.2 2000/05/02 02:47:16 pbd Exp $
*/

#ifndef __sw_midibyte_edit_h__
#define __sw_midibyte_edit_h__

#include <gtkmm2ext/hexentry.h>

class MidiByteEditor : public Gtk::Dialog
{
  public:
	MidiByteEditor ();
	MIDI::byte *edit (const std::string &why, size_t *len = 0, MIDI::byte *msg = 0);

  private:
	Gtkmm2ext::HexEntry entry;
	Gtk::Label  label;
};    

#endif /* __sw_midibyte_edit_h__ */
